## knmap-trinity 14.0.8

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( knmap )
set( VERSION R14.0.8 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON                             )
option( BUILD_DOC "Build documentation" ${BUILD_ALL}         )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## knmap-trinity 14.0.4

=== debian/changelog ===
knmap-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:28:15 +0200

knmap-trinity (2.1-1ubuntu2) edgy; urgency=low

  * Initial Release for TDE

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 26 Jul 2013 12:43:38 +0200

knmap (2.1-1ubuntu2) edgy; urgency=low

  * Add kubuntu_00_autoconf2.60.diff and change pre-build to post-patches

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun,  1 Oct 2006 16:20:46 +0100

knmap (2.1-1ubuntu1) edgy; urgency=low

  * Merge from debian unstable.

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Thu,  6 Jul 2006 17:02:20 +1000

knmap (2.1-1) unstable; urgency=low

  * New Upstream Release
  * Fixed debian/watch file

 -- Claudio Moratti <maxer@knio.it>  Sat, 21 Jan 2006 20:07:05 +0100

knmap (2.1-0ubuntu2) dapper; urgency=low

  * Added dh_iconcache

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Sat, 13 May 2006 21:12:27 +1000

knmap (2.1-0ubuntu1) dapper; urgency=low

  * New upstream release.
  * Repackaged upstream tarball from tar.bz2 to orig.tar.gz.

 -- Raphaël Pinson <raphink@raphink.net>  Tue, 31 Jan 2006 18:30:50 +0100

knmap (2.0-1) unstable; urgency=low

  * New Upstream Release  (Closes: #347834)

 -- Claudio Moratti <maxer@knio.it>  Fri, 13 Jan 2006 11:54:27 +0100

knmap (2.0-0ubuntu1) dapper; urgency=low

  * New upstream release.
  * Repackaged the tar.bz2 tarball into a tar.gz one.
  * Bumped automake dependency to automake1.9 since automake1.6 was removed from
     dapper.
  * Updated copyright dates in debian/copyright.
  * Sponsored upload for Raphaël Pinson <raphink@raphink.net>

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 13 Jan 2006 12:09:54 +0100

knmap (1.99+2.0beta1-0ubuntu1) dapper; urgency=low

  * New upstream release
  * Removing patch kubuntu_01_desktop_file.patch that has been merged in
     upstream.
  
 -- Raphaël Pinson <raphink@raphink.net>  Sat, 24 Dec 2005 01:01:40 +0100

knmap (1.99-1) unstable; urgency=low

  * New Upstream Release (2.0-beta)

 -- Claudio Moratti <maxer@knio.it>  Mon, 19 Dec 2005 12:23:55 +0100

knmap (1.0-1) unstable; urgency=low

  * New upstream release
  * Added libtool patch
  * Added Categories to .desktop file

 -- Claudio Moratti <maxer@knio.it>  Mon,  5 Dec 2005 15:44:48 +0100

knmap (1.0-beta1-1) unstable; urgency=low

  * Initial release 

 -- Claudio Moratti <maxer@knio.it>  Wed,  9 Nov 2005 18:59:04 +0100

knmap (1.0-0ubuntu1) dapper; urgency=low

   * Initial release.
   * Patch kubuntu_01_desktop_file.patch adds GenericName and Categories fields
      to src/knmap.desktop.
   * Patch kubuntu_02_kdepot.patch modifies admin/cvs.sh to create .pot file.

 -- Raphaël Pinson <raphink@raphink.net>  Sat,  3 Dec 2005 13:21:11 +0100

=== debian/control ===
Source: knmap-trinity
Section: tde
Priority: extra
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>= 7.0.50~), quilt, autotools-dev, tdelibs14-trinity-dev, automake, libtool, cdbs, docbook2x, docbook-xml
Standards-Version: 3.8.2

Package: knmap-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nmap
Description: nmap graphical interface for TDE
 Knmap is a TDE-based interface to the 'nmap' facility.
 .
 The main Knmap window provides for the entry of nmap options and the
 display of nmap-generated output.
 .
 This program is a complete re-write of one by the same name written by
 Alexandre Sagala. The last version of that program was 0.9 which was
 released on 2003-03-09 and targeted the KDE 2.2 and QT 2.3 environments.
 It can be compiled on today's TDE / TQt environment.
 .
 Not to mention that it did not cater for the full set of 'nmap' options.
 Or, perhaps, 'nmap' progressed whilst that version of Knmap languished.
 .
 http://www.kde-apps.org/content/show.php?content=31108

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	dh_testdir

	# Regenerate build system
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in

	autoreconf --install && automake -f && \
	$(MAKE) -f admin/Makefile.common && \
	touch debian/stamp-bootstrap

binary-install/knmap-trinity::
	dh_link opt/trinity/share/doc/tde/HTML/en/knmap usr/share/doc/$(cdbs_curpkg)/html
	mv debian/$(cdbs_curpkg)/usr/share/man debian/$(cdbs_curpkg)/opt/trinity/share/

build/knmap-trinity::
	docbook2x-man debian/knmap.1.docbook

clean::
	rm -f knmap.1
	# removing files not cleaned by upstream
	rm -f doc/en/Makefile.in
	rm -f src/Makefile.in
	rm -f configure
	rm -f Makefile.in
	rm -f subdirs
	rm -f aclocal.m4
	rm -f debian/stamp-bootstrap

=== debian/watch ===
version=3
http://sf.net/knmap/knmap-(.*)\.tar\.bz2

## knmap-trinity 14.0.5

=== debian/changelog ===
knmap-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:47:24 +0200

## knmap-trinity 14.0.6

=== debian/changelog ===
knmap-trinity (4:14.0.6-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:47:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: extra
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 7.0.50~), quilt, autotools-dev, tdelibs14-trinity-dev, automake, libtool, cdbs, docbook2x, docbook-xml
+Build-Depends: debhelper (>= 7.0.50~), cdbs, quilt, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.2
 
 Package: knmap-trinity

## knmap-trinity 14.0.8

=== debian/changelog ===
knmap-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:26 +0200

## knmap-trinity 14.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #### general package setup
 
 project( knmap )
-set( VERSION R14.0.8 )
+set( VERSION R14.0.9 )
 
 
 #### include essential cmake modules
@@ -70,7 +70,7 @@
 
 add_subdirectory( src )
 tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )
+tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
 
 
 ##### write configure files

## knmap-trinity 14.0.10

=== debian/changelog ===
knmap-trinity (4:14.0.10-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

## knmap-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 #### general package setup
 
 project( knmap )
-set( VERSION R14.0.9 )
+set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -69,8 +69,12 @@
 ##### directories
 
 add_subdirectory( src )
-tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
+
+
+##### other data ################################
+
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files

=== debian/changelog ===
knmap-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#knmap

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 19 Oct 2021 03:38:38 +0200

## knmap-trinity 14.0.12

=== debian/changelog ===
knmap-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#knmap

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:36 +0100

## knmap-trinity 14.0.13

=== debian/changelog ===
knmap-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#knmap

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 24 Jun 2022 12:17:34 +0200

## knmap-trinity 14.1.0

=== debian/changelog ===
knmap-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#knmap

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## knmap-trinity 14.1.1

=== debian/changelog ===
knmap-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#knmap

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 24 Oct 2023 23:18:44 +0200

## knmap-trinity 14.1.2

=== debian/changelog ===
knmap-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#knmap

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 17 Mar 2024 13:04:47 +0100

## knmap-trinity 14.1.3

=== debian/changelog ===
knmap-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#knmap

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 14:31:35 +0200

## knmap-trinity 14.1.4

=== debian/changelog ===
knmap-trinity (4:14.1.4-0debian13.0.0+0) trixie; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#knmap

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: knmap-trinity
 Section: tde
 Priority: extra
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 7.0.50~), cdbs, quilt, cmake, tdelibs14-trinity-dev
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.2
 
 Package: knmap-trinity

## knmap-trinity 14.1.5~pre0

=== debian/changelog ===
knmap-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 40679aaf0d588d745082bda162694a2377931973
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#knmap

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## knmap-trinity 14.1.5

=== src/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### knmap (executable)

tde_add_executable( ${PROJECT_NAME} AUTOMOC

  SOURCES
        main.cpp
        knmap.cpp
        mainwidget.cpp
        outputwidget.cpp
        commonwidget.cpp
        timingwidget.cpp
        compoundwidget.cpp
        htmlwidget.cpp
        stylesheetdialog.cpp
        profiledialog.cpp
        loggingoptions.cpp
        simpleoptions.cpp
        pandsoptions.cpp
        whatsthis.cpp
        tabwidgetptrlist.cpp
        tabwidgetdata.cpp
        scanwidget.cpp
        indexwidget.cpp
        scannamedialog.cpp
        scanstack.cpp
        scanmonitor.cpp
        scanmonitorevent.cpp
        nmapoutputbuffer.cpp
  LINK
     tdeio-shared
     tdehtml-shared
     tdeui-shared
     tdecore-shared
     
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons

tde_install_icons( )


##### other data

install(
    FILES knmapui.rc nmap_manpage.html
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

tde_create_translated_desktop( ${PROJECT_NAME}.desktop )

=== debian/changelog ===
knmap-trinity (4:14.1.5-0debian11.0.0+0) bullseye; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#knmap

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: extra
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.2
 
 Package: knmap-trinity

## knmap-trinity 14.1.6~pre0

=== debian/changelog ===
knmap-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 40679aaf0d588d745082bda162694a2377931973
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#knmap

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## knmap-trinity 14.1.6~pre1

=== debian/changelog ===
knmap-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for c78b2a7dd1792b0d5c12d9ea3e4cc6191df32e64
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#knmap

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:42:03 +0100

## knmap-trinity 14.2.0~pre29

=== debian/changelog ===
knmap-trinity (4:14.2.0~pre29-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 24626e36eb08629e1e5c195f171fef515e0aa41e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#knmap

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## knmap-trinity 14.2.0~pre30

=== debian/changelog ===
knmap-trinity (4:14.2.0~pre30-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for e22c028a1335f0bfc162f8d3068bcec6c0c59a17
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#knmap

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:56:13 +0100
